﻿@model CarRental.Web.Areas.Accounts.ViewModel.ForgotPasswordModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
	ViewData["Title"] = "Forgot your password?";
	Layout = "_Layout";
}
<link rel="stylesheet" href="~/assets/css/login.css" />

<section class="ftco-section">
	<div class="container">

		<div class="row justify-content-center">
			<div class="col-md-8 col-lg-10">
				<div class="wrap d-md-flex">
					<div class="login-wrap p-4 mb-5">
						<div class="d-flex">
							<div class="w-100">
								<h3 class="mb-4">Reset Password</h3>
							</div>
						</div>
						<form id="myForm" method="post">
							<div asp-validation-summary="ModelOnly" class="text-danger"></div>
							<div class="form-group">
								<label for="email">
									Enter the email address associated with your account, and we'll
									email you with the link to reset your password.
								</label>
								<label asp-for="Email" class="form-label" for="name">Email</label>
								<input asp-for="Email" class="form-control" autocomplete="email" placeholder="Your Email Address" aria-required="true" />
								<span asp-validation-for="Email" class="text-danger"></span>
							</div>
							<button type="submit" class="btn btn-primary w-100 mt-2" id="openModalBtn">
								<i class="fa fa-unlock" aria-hidden="true"></i>
								Sumbit
							</button>
						</form>

						<!-- Modal -->
						<div class="modal fade" id="myModal">
							<div class="modal-dialog">
								<div class="modal-content">
									<div class="modal-header">
										<h4 class="modal-title">Forgot Password</h4>
										<button type="button" class="close" data-dismiss="modal">&times;</button>
									</div>
									<div class="modal-body">
										If this email address exists, we 'll send an email with the link to reset
										your password.
									</div>
									<div class="modal-footer">
										<button type="submit" class="btn btn-success"
												data-dismiss="modal">
											OK
										</button>
									</div>
								</div>
							</div>
						</div>

					</div>
					<div class="img" style="background-image: url(./images/image_5.jpg);">
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

@section Scripts {
	<script>
		$(document).ready(function () {
			// Khi nút "Mở Modal" được nhấp
			$("#openModalBtn").click(function () {
				// Kiểm tra xem các trường đã được điền đúng cách
				if ($("#myForm")[0].checkValidity()) {
					// Mở modal nếu tất cả trường đã được điền đúng cách
					$("#myModal").modal("show");
				}
			});
		});
	</script>
}
